/*******************************************************************************
* File Name: Timer0.h
* Version 1.60
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__Timer0_INTC_H__)
#define __Timer0_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void Timer0_Start(void);
void Timer0_StartEx(cyisraddress address);
void Timer0_Stop(void) ;

CY_ISR_PROTO(Timer0_Interrupt);

void Timer0_SetVector(cyisraddress address) ;
cyisraddress Timer0_GetVector(void) ;

void Timer0_SetPriority(uint8 priority) ;
uint8 Timer0_GetPriority(void) ;

void Timer0_Enable(void) ;
uint8 Timer0_GetState(void) ;
void Timer0_Disable(void) ;

void Timer0_SetPending(void) ;
void Timer0_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the Timer0 ISR. */
#define Timer0_INTC_VECTOR            ((reg32 *) Timer0__INTC_VECT)

/* Address of the Timer0 ISR priority. */
#define Timer0_INTC_PRIOR             ((reg8 *) Timer0__INTC_PRIOR_REG)

/* Priority of the Timer0 interrupt. */
#define Timer0_INTC_PRIOR_NUMBER      Timer0__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable Timer0 interrupt. */
#define Timer0_INTC_SET_EN            ((reg32 *) Timer0__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the Timer0 interrupt. */
#define Timer0_INTC_CLR_EN            ((reg32 *) Timer0__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the Timer0 interrupt state to pending. */
#define Timer0_INTC_SET_PD            ((reg32 *) Timer0__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the Timer0 interrupt. */
#define Timer0_INTC_CLR_PD            ((reg32 *) Timer0__INTC_CLR_PD_REG)



/* __Timer0_INTC_H__ */
#endif
