/* ========================================
 * INSTRUCTION INTEL HEX OPCODES
 * ========================================
*/

#if !defined(OPCODES_H)
#define OPCODES_H

	#define NOP     	0x00
	#define AJMP_01    	0x01
	#define LJMP    	0x02
	#define RR      	0x03
	
	#define INC_A   	0x04
	#define INC_dr  	0x05
	#define INC_atR0	0x06
	#define INC_atR1	0x07
	#define INC_R0  	0x08
	#define INC_R1  	0x09
	#define INC_R2  	0x0A
	#define INC_R3  	0x0B
	#define INC_R4  	0x0C
	#define INC_R5  	0x0D
	#define INC_R6  	0x0E
	#define INC_R7  	0x0F
	
	#define JBC 		0x10
	#define ACALL_11	0x11
	#define LCALL		0x12
	#define RRC		0x13
	
	#define DEC_A		0x14
	#define DEC_dr		0x15
	#define DEC_atR0	0x16
	#define DEC_atR1	0x17
	#define DEC_R0		0x18
	#define DEC_R1		0x19
	#define DEC_R2		0x1A
	#define DEC_R3		0x1B
	#define DEC_R4		0x1C
	#define DEC_R5		0x1D
	#define DEC_R6		0x1E
	#define DEC_R7		0x1F
	
	#define JB		0x20
	#define AJMP_21	0x21
	#define RET		0x22
	#define RL		0x23
	
	#define ADD_im		0x24
	#define ADD_dr		0x25
	#define ADD_atR0	0x26
	#define ADD_atR1	0x27
	#define ADD_R0		0x28
	#define ADD_R1		0x29
	#define ADD_R2		0x2A
	#define ADD_R3		0x2B
	#define ADD_R4		0x2C
	#define ADD_R5		0x2D
	#define ADD_R6		0x2E
	#define ADD_R7		0x2F
	
	#define JNB		0x30
	#define ACALL_31	0x31
	#define RETI		0x32
	#define RLC		0x33
	
	#define ADDC_im	0x34
	#define ADDC_dr	0x35
	#define ADDC_atR0	0x36
	#define ADDC_atR1	0x37
	#define ADDC_R0	0x38
	#define ADDC_R1	0x39
	#define ADDC_R2	0x3A
	#define ADDC_R3	0x3B
	#define ADDC_R4	0x3C
	#define ADDC_R5	0x3D
	#define ADDC_R6	0x3E
	#define ADDC_R7	0x3F
	
	#define JC		0x40
	#define AJMP_41	0x41
	
	#define ORL_dr_A	0x42
	#define ORL_dr_im	0x43
	#define ORL_im		0x44
	#define ORL_dr		0x45
	#define ORL_atR0	0x46
	#define ORL_atR1	0x47
	#define ORL_R0		0x48
	#define ORL_R1		0x49
	#define ORL_R2		0x4A
	#define ORL_R3		0x4B
	#define ORL_R4		0x4C
	#define ORL_R5		0x4D
	#define ORL_R6		0x4E
	#define ORL_R7		0x4F
	
	#define JNC		0x50
	#define ACALL_51	0x51
	
	#define ANL_dr_A	0x52
	#define ANL_dr_im	0x53
	#define ANL_im		0x54
	#define ANL_dr		0x55
	#define ANL_atR0	0x56
	#define ANL_atR1	0x57
	#define ANL_R0		0x58
	#define ANL_R1		0x59
	#define ANL_R2		0x5A
	#define ANL_R3		0x5B
	#define ANL_R4		0x5C
	#define ANL_R5		0x5D
	#define ANL_R6		0x5E
	#define ANL_R7		0x5F
	
	#define JZ		0x60
	#define AJMP_61	0x61
	
	#define XRL_dr_A	0x62
	#define XRL_dr_im	0x63
	#define XRL_im		0x64
	#define XRL_dr		0x65
	#define XRL_atR0	0x66
	#define XRL_atR1	0x67
	#define XRL_R0		0x68
	#define XRL_R1		0x69
	#define XRL_R2		0x6A
	#define XRL_R3		0x6B
	#define XRL_R4		0x6C
	#define XRL_R5		0x6D
	#define XRL_R6		0x6E
	#define XRL_R7		0x6F
	
	#define JNZ		0x70
	#define ACALL_71	0x71
	#define ORL_bit	0x72
	#define	JMP		0x73
	
	#define MOV_A_im	0x74
	#define MOV_dr_im	0x75
	#define MOV_atR0_im	0x76
	#define MOV_atR1_im	0x77
	#define MOV_R0_im	0x78
	#define MOV_R1_im	0x79
	#define MOV_R2_im	0x7A
	#define MOV_R3_im	0x7B
	#define MOV_R4_im	0x7C
	#define MOV_R5_im	0x7D
	#define MOV_R6_im	0x7E
	#define MOV_R7_im	0x7F	
	
	/* MIDPOINT */
	
	#define SJMP		0x80
	#define AJMP_81	0x81
	#define ANL_bit	0x82
	#define MOVC_PC	0x83
	#define DIV		0x84
	
	#define MOV_dr_dr	0x85
	#define MOV_dr_atR0	0x86
	#define MOV_dr_atR1	0x87
	#define MOV_dr_R0	0x88
	#define MOV_dr_R1	0x89
	#define MOV_dr_R2	0x8A
	#define MOV_dr_R3	0x8B
	#define MOV_dr_R4	0x8C
	#define MOV_dr_R5	0x8D
	#define MOV_dr_R6	0x8E
	#define MOV_dr_R7	0x8F	
	
	#define MOV_DPTR	0x90
	#define ACALL_91	0x91
	#define MOV_bit_C	0x92
	#define MOVC_DPTR	0x93
	
	#define SUBB_im	0x94
	#define SUBB_dr	0x95
	#define SUBB_atR0	0x96
	#define SUBB_atR1	0x97
	#define SUBB_R0	0x98
	#define SUBB_R1	0x99
	#define SUBB_R2	0x9A
	#define SUBB_R3	0x9B
	#define SUBB_R4	0x9C
	#define SUBB_R5	0x9D
	#define SUBB_R6	0x9E
	#define SUBB_R7	0x9F
	
	#define ORL_C_nbit	0xA0
	#define AJMP_A1	0xA1
	#define MOV_C_bit	0xA2
	#define INC_DPTR	0xA3
	#define MUL		0xA4
	#define RESERVE	0xA5
	
	#define MOV_atR0_dr	0xA6
	#define MOV_atR1_dr	0xA7
	#define MOV_R0_dr	0xA8
	#define MOV_R1_dr	0xA9
	#define MOV_R2_dr	0xAA
	#define MOV_R3_dr	0xAB
	#define MOV_R4_dr	0xAC
	#define MOV_R5_dr	0xAD
	#define MOV_R6_dr	0xAE
	#define MOV_R7_dr	0xAF
	
	#define ANL_C_nbit	0xB0
	#define ACALL_B1	0xB1
	#define CPL_bit	0xB2
	#define CPL_C		0xB3
	
	#define CJNE_im	0xB4
	#define CJNE_dr	0xB5
	#define CJNE_atR0	0xB6
	#define CJNE_atR1	0xB7
	#define CJNE_R0_im	0xB8
	#define CJNE_R1_im	0xB9
	#define CJNE_R2_im	0xBA
	#define CJNE_R3_im	0xBB
	#define CJNE_R4_im	0xBC
	#define CJNE_R5_im	0xBD
	#define CJNE_R6_im	0xBE
	#define CJNE_R7_im	0xBF
	
	#define PUSH		0xC0
	#define AJMP_C1	0xC1
	#define CLR_bit	0xC2
	#define CLR_C		0xC3
	#define SWAP		0xC4
	
	#define XCH_dr		0xC5
	#define XCH_atR0	0xC6
	#define XCH_atR1	0xC7
	#define XCH_R0		0xC8
	#define XCH_R1		0xC9
	#define XCH_R2		0xCA
	#define XCH_R3		0xCB
	#define XCH_R4		0xCC
	#define XCH_R5		0xCD
	#define XCH_R6		0xCE
	#define XCH_R7		0xCF	
	
	#define POP		0xD0
	#define ACALL_D1	0xD1
	#define SETB_bit	0xD2
	#define SETB_C		0xD3
	#define DA		0xD4
	#define DJNZ_dr	0xD5
	#define XCHD_atR0	0xD6
	#define XCHD_atR1	0xD7
	
	#define DJNZ_R0	0xD8
	#define DJNZ_R1	0xD9
	#define DJNZ_R2	0xDA
	#define DJNZ_R3	0xDB
	#define DJNZ_R4	0xDC
	#define DJNZ_R5	0xDD
	#define DJNZ_R6	0xDE
	#define DJNZ_R7	0xDF
	
	#define MOVX_A_DPTR	0xE0
	#define AJMP_E1	0xE1
	#define MOVX_A_atR0	0xE2
	#define MOVX_A_atR1	0xE3
	#define CLR_A		0xE4
	
	#define MOV_A_dr	0xE5
	#define MOV_A_atR0	0xE6
	#define MOV_A_atR1	0xE7
	#define MOV_A_R0	0xE8
	#define MOV_A_R1	0xE9
	#define MOV_A_R2	0xEA
	#define MOV_A_R3	0xEB
	#define MOV_A_R4	0xEC
	#define MOV_A_R5	0xED
	#define MOV_A_R6	0xEE
	#define MOV_A_R7	0xEF
	
	#define MOVX_DPTR_A	0xF0
	#define ACALL_F1	0xF1
	#define MOVX_atR0_A	0xF2
	#define MOVX_atR1_A	0xF3
	#define CPL_A		0xF4
	
	#define MOV_dr_A	0xF5
	#define MOV_atR0_A	0xF6
	#define MOV_atR1_A	0xF7
	#define MOV_R0_A	0xF8
	#define MOV_R1_A	0xF9
	#define MOV_R2_A	0xFA
	#define MOV_R3_A	0xFB
	#define MOV_R4_A	0xFC
	#define MOV_R5_A	0xFD
	#define MOV_R6_A	0xFE
	#define MOV_R7_A	0xFF
	
	
#endif
/* [] END OF FILE */
